Name:           libvdpau
Version:        1.2
Release:        1
Summary:        Wrapper library for the Video Decode and Presentation API for UNIX
License:        MIT
URL:            http://freedesktop.org/wiki/Software/VDPAU
Source0:        https://gitlab.freedesktop.org/vdpau/libvdpau/uploads/14b620084c027d546fa0b3f083b800c6/%{name}-%{version}.tar.bz2

BuildRequires:  autoconf, automake, doxygen, gcc-c++, graphviz, libtool, libX11-devel, libXext-devel
BuildRequires:  tex(latex), xorg-x11-proto-devel
Provides:       %{name}-trace%{?_isa} %{name}-trace
Obsoletes:      %{name}-trace
Supplements:    %{name}-debuginfo%{?_isa}
Provides:       %{name}-docs%{?_isa} %{name}-docs
Obsoletes:      %{name}-docs

%description
This module is wrapper library for the Video Decode and Presentation API for UNIX.

%package        devel
Summary:        Header files for development
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       libX11-devel, pkgconfig

%description    devel
This package includes header files for development.

%prep
%autosetup -p1

%build
autoreconf -vif
%configure --disable-static
%make_build

%install
%make_install INSTALL="install -p"
%delete_la
rm -rf $RPM_BUILD_ROOT%{_docdir}
mv doc/html-out html


%ldconfig_scriptlets


%files
%doc AUTHORS html
%license COPYING
%config(noreplace) %{_sysconfdir}/*.cfg
%{_libdir}/*.so.*
%dir %{_libdir}/vdpau
%{_libdir}/vdpau/*.so*

%files devel
%{_includedir}/vdpau/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Jan 16 2020 yangjian<yangjian79@huawei.com> - 1.2-1
- Change the Source to valid address

* Thu Nov 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.1-11
- Package init
